aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerion Entrup <gerion.entrup@flump.de>2018-07-13 23:25:47 +0200
committerGerion Entrup <gerion.entrup@flump.de>2018-07-13 23:25:47 +0200
commitb6fa82c3c387c0f9a12a0671ebff55b75d9133ac (patch)
tree548b0c2368e505e3edc9919660ddacb8d16838cb /app-text
parentdev-python/flask-login: allow python 3.6 (diff)
downloadgerislay-b6fa82c3c387c0f9a12a0671ebff55b75d9133ac.tar.gz
gerislay-b6fa82c3c387c0f9a12a0671ebff55b75d9133ac.tar.bz2
gerislay-b6fa82c3c387c0f9a12a0671ebff55b75d9133ac.zip
cleanup a bunch of old stuff
Diffstat (limited to 'app-text')
-rw-r--r--app-text/calibre/Manifest10
-rw-r--r--app-text/calibre/calibre-3.26.1.ebuild293
-rw-r--r--app-text/calibre/files/calibre-2.83.0-lzxd-bounds-error-bug-540596.patch37
-rw-r--r--app-text/calibre/files/calibre-2.9.0-no_updates_dialog.patch27
-rw-r--r--app-text/calibre/files/calibre-disable_plugins.patch17
-rw-r--r--app-text/calibre/files/calibre-server-3.conf13
-rw-r--r--app-text/calibre/files/calibre-server-3.init58
-rw-r--r--app-text/calibre/files/calibre-server.conf13
-rw-r--r--app-text/calibre/files/calibre-server.init58
-rw-r--r--app-text/calibre/metadata.xml13
10 files changed, 0 insertions, 539 deletions
diff --git a/app-text/calibre/Manifest b/app-text/calibre/Manifest
deleted file mode 100644
index b90e137..0000000
--- a/app-text/calibre/Manifest
+++ /dev/null
@@ -1,10 +0,0 @@
-AUX calibre-2.83.0-lzxd-bounds-error-bug-540596.patch 1296 BLAKE2B a600a8777868b7f73c95d62de9097382cb1d3e076ea756b589811f5e33aa86f1724f93177d82247132a85779ff82960f178cc325b497f8b7f1391ff113729c69 SHA512 fba16c95a69b38113d4331faceae4a81f2319ae1631a03662bd3483ad6f1b687d16db28f9df019990a3bc6918c75f4a4492ca7ef772168a575cb06ff0761bddf
-AUX calibre-2.9.0-no_updates_dialog.patch 1661 BLAKE2B c75fc49a621e8dbd16ee1bad748110399cf09a404b4a905d3f723bac1827787e4749f464ba026700b6e5b3cc0ee646a92de00f1f58d10cf12dc9bc91195ee8b6 SHA512 9663b95ed64bdc2bc40692922384d1c6073177eee58a49c412883c4d2ae098e4e0b4ea51b80443108b7c0c3e4f3fda60c00fc3be4d0b62a5d79d982697927235
-AUX calibre-disable_plugins.patch 1042 BLAKE2B 92a56016c2c54f1b156bc91031420594445545b98b701f7cce99cf4bb86847eebad1ccebdc20a0d1b67f9fa88a9250fc4926d7c04cb36405323388b3171cf502 SHA512 c152ddd92728a89db10c75a4d00a968bf119bef68da8b9116c76827e3cdc8f8a7e5c45fbb973f6ca8db1f79e461518351ce2d47e5e059c282f36d2df499d1629
-AUX calibre-server-3.conf 541 BLAKE2B 06593633721e6adf2cf2077dffa83953eea46ccdcdc857ad468a9b74788326e9424f6ab9058be344dbbac8e49d343f5a1e53ddb486f2018b77319a7f8f713cf4 SHA512 12ef793a5b6ffd4413f780a13cad63927a95f15d17d85d4229eb5005ead68e51779abb822f9898ab5ae8c2094affeec1f9e85c34f109499739e6726b7641542a
-AUX calibre-server-3.init 1796 BLAKE2B f87d785d6f6fc10fa648d40944ec8538027854bb872d9a3be6b5b35b0abf3cda1e4e93874a9422914da5eb4287f193459733956e3f1e25e61bec0c214c552c99 SHA512 88110ded1b9c6cf8d3bfc3d5889654f77578f9d299e88daea9023767b930082e00fbddbb92a6e43c46d900248f3684232d93396ec1d0e784c7ec14b44783f98a
-AUX calibre-server.conf 523 BLAKE2B a9fb65a327656f9b2f54eab27dcaf2cdfbcbe5f0d637204ea39f891c515ae899da156098609bc99398354337524843afbf45409bbb1098605f293661bb8381e7 SHA512 4595786d9b6ed7662a1124e8acc32e03e0149f614a07890f9df08d05811a1b8de51cc33cc1bfbf30b072c7ad75dc3b8247e9de53d20ee2b45017cb4160437058
-AUX calibre-server.init 1811 BLAKE2B fe22257128896d4299c5d5edab6ac63cdcf79da483f4afc49b0d1649b17599389dd4b9f88c35a964e289cbe6d961136f1e5760a2244137c404e573510899bd60 SHA512 760aa7a8f51b23b116ba07749855737869ff2313f0528d67e5a46bc362e5c0a04a7e1f46c32dd6e82add4fa5dc41d397db32dbd1a09c912008e0890d1a133eeb
-DIST calibre-3.26.1.tar.xz 39109660 BLAKE2B 0e98c273b8a5dfafea7a7027de3f83ad25ab835edadedf78b7e9bc356bcac8937d915944f2ab6503b414c49b4e792e090e7bd2433a4e86373bf115720ed78b0a SHA512 893e36b101defaca29281b4bd072aafc1c4cb20a9cd3ee06a0b68fbe6b39cab34952799939ac4f54c77148c87861c5ab4ddff84f5ec8c2274ae7fa6424259ff5
-EBUILD calibre-3.26.1.ebuild 9280 BLAKE2B ef7557d2f7416658a93850dd09766fbb2e784c512c8fa7296137df0b0737afc151ba22c285fa2b4de49b726cdf3e58a1956757fccc9295ce1b5e40f5c2b615cd SHA512 035dc539a854fa30d2216c6bb66b69f5878c6f1e34cd05a6c4d50afbe00aa15e6450666961201abbff3317febea405ac28f8e11d4ad7ab392eb4327aff34196e
-MISC metadata.xml 382 BLAKE2B 87fa7e63a6ed7a4ea55247b362288b43f7edd312cc3085bb8c1b947402ae4aa0df01fac4f6646d260653ff8af7fe28d3dabb8a213dbf3e206181b69835b33d5f SHA512 8503e0a4a48d93682c386eb1d6507b4b26585afc9d62b7cd52bc00b457a887bd17422a03669ff404570ff7f5ff6f0bba14ee935979f8b54722870d6620097de5
diff --git a/app-text/calibre/calibre-3.26.1.ebuild b/app-text/calibre/calibre-3.26.1.ebuild
deleted file mode 100644
index c8832bf..0000000
--- a/app-text/calibre/calibre-3.26.1.ebuild
+++ /dev/null
@@ -1,293 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="sqlite,ssl"
-
-inherit eutils bash-completion-r1 gnome2-utils multilib toolchain-funcs python-single-r1 xdg-utils
-
-DESCRIPTION="Ebook management application"
-HOMEPAGE="https://calibre-ebook.com/"
-SRC_URI="https://download.calibre-ebook.com/${PV}/${P}.tar.xz"
-
-LICENSE="
- GPL-3+
- GPL-3
- GPL-2+
- GPL-2
- GPL-1+
- LGPL-3+
- LGPL-2.1+
- LGPL-2.1
- BSD
- MIT
- Old-MIT
- Apache-2.0
- public-domain
- || ( Artistic GPL-1+ )
- CC-BY-3.0
- OFL-1.1
- PSF-2
- unRAR
-"
-KEYWORDS="~amd64"
-SLOT="0"
-IUSE="ios +udisks"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-COMMON_DEPEND="${PYTHON_DEPS}
- >=app-text/podofo-0.8.2:=
- >=app-text/poppler-0.26.5[qt5]
- >=dev-libs/chmlib-0.40:=
- dev-libs/glib:2=
- >=dev-libs/icu-57.1:=
- dev-libs/libinput:=
- >=dev-python/apsw-3.13.0[${PYTHON_USEDEP}]
- >=dev-python/beautifulsoup-3.0.5:python-2[${PYTHON_USEDEP}]
- dev-python/chardet[${PYTHON_USEDEP}]
- >=dev-python/cssselect-0.7.1[${PYTHON_USEDEP}]
- >=dev-python/cssutils-1.0.1[${PYTHON_USEDEP}]
- >=dev-python/dbus-python-1.2.4[${PYTHON_USEDEP}]
- >=dev-libs/dbus-glib-0.106
- >=sys-apps/dbus-1.10.8
- dev-python/html5-parser[${PYTHON_USEDEP}]
- >=dev-python/lxml-3.2.1[${PYTHON_USEDEP}]
- >=dev-python/mechanize-0.2.5[${PYTHON_USEDEP}]
- dev-python/msgpack[${PYTHON_USEDEP}]
- dev-python/netifaces[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- >=dev-python/pygments-2.1.3[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.5.3[${PYTHON_USEDEP}]
- >=dev-python/PyQt5-5.8[gui,svg,webkit,widgets,network,printsupport,${PYTHON_USEDEP}]
- dev-python/regex[${PYTHON_USEDEP}]
- dev-qt/qtcore:5=
- dev-qt/qtdbus:5=
- dev-qt/qtgui:5=
- dev-qt/qtwidgets:5=
- dev-util/desktop-file-utils
- dev-util/gtk-update-icon-cache
- media-fonts/liberation-fonts
- media-libs/fontconfig:=
- >=media-libs/freetype-2:=
- >=media-libs/libmtp-1.1.11:=
- >=media-libs/libwmf-0.2.8
- >=media-gfx/optipng-0.7.6
- sys-libs/zlib:=
- virtual/libusb:1=
- virtual/python-dnspython[${PYTHON_USEDEP}]
- x11-libs/libxkbcommon:=
- x11-libs/libX11:=
- x11-libs/libXext:=
- x11-libs/libXrender:=
- x11-misc/shared-mime-info
- >=x11-misc/xdg-utils-1.0.2-r2
- ios? (
- >=app-pda/usbmuxd-1.0.8
- >=app-pda/libimobiledevice-1.2.0
- )
- udisks? ( virtual/libudev )"
-RDEPEND="${COMMON_DEPEND}
- udisks? ( || ( sys-fs/udisks:2 sys-fs/udisks:0 ) )"
-DEPEND="${COMMON_DEPEND}
- >=dev-python/setuptools-23.1.0[${PYTHON_USEDEP}]
- >=virtual/podofo-build-0.9.4
- virtual/pkgconfig"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary && $(gcc-major-version) -lt 6 ]]; then
- eerror "Calibre cannot be built with this version of gcc."
- eerror "You need at least gcc-6.0"
- die "Your C compiler is too old for this package."
- fi
-}
-
-src_prepare() {
- # no_updates: do not annoy user with "new version is availible all the time
- # disable_plugins: walking sec-hole, wait for upstream to use GHNS interface
- eapply \
- "${FILESDIR}/${PN}-2.9.0-no_updates_dialog.patch" \
- "${FILESDIR}/${PN}-disable_plugins.patch"
-
- eapply_user
-
- # Fix outdated version constant.
- #sed -e "s#\\(^numeric_version =\\).*#\\1 (${PV//./, })#" \
- # -i src/calibre/constants.py || \
- # die "sed failed to patch constants.py"
-
- # Avoid sandbox violation in /usr/share/gnome/apps when linux.py
- # calls xdg-* (bug #258938).
- sed -e "s|'xdg-desktop-menu', 'install'|\\0, '--mode', 'user'|" \
- -e "s|check_call(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
- -e "s|\\(CurrentDir(tdir)\\), \\\\\$|\\1:|" \
- -e "s|, PreserveMIMEDefaults():|:|" \
- -e "s|'xdg-icon-resource', 'install'|\\0, '--mode', 'user'|" \
- -e "s|cmd\[2\]|cmd[4]|" \
- -e "s|cc(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
- -e "s|'xdg-mime', 'install'|\\0, '--mode', 'user'|" \
- -i src/calibre/linux.py || die "sed failed to patch linux.py"
-
- # Disable unnecessary privilege dropping for bug #287067.
- sed -e "s:if os.geteuid() == 0:if False and os.geteuid() == 0:" \
- -i setup/install.py || die "sed failed to patch install.py"
-
- sed -e "/^ self.check_call(\\[QMAKE\\] + qmc + \\[proname\\])$/a\
-\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ self.check_call(['sed', \
-'-e', 's|^CFLAGS .*|\\\\\\\\0 ${CFLAGS}|', \
-'-e', 's|^CXXFLAGS .*|\\\\\\\\0 ${CXXFLAGS}|', \
-'-e', 's|^LFLAGS .*|\\\\\\\\0 ${LDFLAGS}|', \
-'-i', 'Makefile'])" \
- -i setup/build.py || die "sed failed to patch build.py"
-
- # use system beautifulsoup, instead of bundled
- rm -f "${S}"/src/calibre/ebooks/BeautifulSoup.py \
- || die "could not remove bundled beautifulsoup"
- find "${S}" -type f -name \*.py -exec \
- sed -e 's/calibre.ebooks.BeautifulSoup/BeautifulSoup/' -i {} + \
- || die "could not sed bundled beautifulsoup out of the source tree"
-
- # avoid failure of xdg tools to recognize vendor prefix
- sed -e "s|xdg-icon-resource install|xdg-icon-resource install --novendor|" \
- -e "s|'xdg-mime', 'install'|'xdg-mime', 'install', '--novendor'|" \
- -e "s|'xdg-desktop-menu', 'install'|'xdg-desktop-menu', 'install', '--novendor'|" \
- -i "${S}"/src/calibre/linux.py || die 'sed failed'
-
- # don't create/install uninstaller
- sed '/self\.create_uninstaller()/d' -i src/calibre/linux.py || die
-}
-
-src_install() {
- # Bypass kbuildsycoca and update-mime-database in order to
- # avoid sandbox violations if xdg-mime tries to call them.
- cat - > "${T}/kbuildsycoca" <<-EOF
- #!${BASH}
- echo $0 : $@
- exit 0
- EOF
-
- cp "${T}"/{kbuildsycoca,update-mime-database} || die
- chmod +x "${T}"/{kbuildsycoca,update-mime-database} || die
-
- export QMAKE="${EPREFIX}/usr/$(get_libdir)/qt5/bin/qmake"
-
- # Unset DISPLAY in order to prevent xdg-mime from triggering a sandbox
- # violation with kbuildsycoca as in bug #287067, comment #13.
- export -n DISPLAY
-
- # Bug #352625 - Some LANGUAGE values can trigger the following ValueError:
- # File "/usr/lib/python2.6/locale.py", line 486, in getdefaultlocale
- # return _parse_localename(localename)
- # File "/usr/lib/python2.6/locale.py", line 418, in _parse_localename
- # raise ValueError, 'unknown locale: %s' % localename
- #ValueError: unknown locale: 46
- export -n LANGUAGE
-
- # Bug #295672 - Avoid sandbox violation in ~/.config by forcing
- # variables to point to our fake temporary $HOME.
- export HOME="${T}/fake_homedir"
- export XDG_CONFIG_HOME="${HOME}/.config"
- export XDG_DATA_HOME="${HOME}/.local/share"
- export CALIBRE_CONFIG_DIRECTORY="${XDG_CONFIG_HOME}/calibre"
- mkdir -p "${XDG_DATA_HOME}" "${CALIBRE_CONFIG_DIRECTORY}" || die
-
- tc-export CC CXX
- # Bug #334243 - respect LDFLAGS when building extensions
- export OVERRIDE_CFLAGS="$CFLAGS" OVERRIDE_LDFLAGS="$LDFLAGS"
- local libdir=$(get_libdir)
- [[ -n $libdir ]] || die "get_libdir returned an empty string"
-
- # Bug #472690 - Avoid sandbox violation for /dev/dri/card0.
- local x
- for x in /dev/dri/card[0-9] ; do
- [[ -e ${x} ]] && addpredict ${x}
- done
-
- #dodir "/usr/$(get_libdir)/python2.7/site-packages" # for init_calibre.py
- #dodir $(python_get_sitedir)
- PATH=${T}:${PATH} PYTHONPATH=${S}/src${PYTHONPATH:+:}${PYTHONPATH} \
- "${PYTHON}" setup.py install \
- --root="${D}" \
- --prefix="${EPREFIX}/usr" \
- --libdir="${EPREFIX}/usr/${libdir}" \
- --staging-root="${ED}usr" \
- --staging-libdir="${ED}usr/${libdir}" || die
-
- # The menu entries end up here due to '--mode user' being added to
- # xdg-* options in src_prepare.
- dodir /usr/share/mime/packages
- chmod -fR a+rX,u+w,g-w,o-w "${HOME}"/.local
- mv "${HOME}"/.local/share/mime/packages/* "${ED}"usr/share/mime/packages/ ||
- die "failed to register mime types"
- dodir /usr/share/icons
- mv "${HOME}"/.local/share/icons/* "${ED}"usr/share/icons/ ||
- die "failed to install icon files"
-
- domenu "${HOME}"/.local/share/applications/*.desktop ||
- die "failed to install .desktop menu files"
-
- find "${ED}"usr/share -type d -empty -delete
-
- cd "${ED}"/usr/share/calibre/fonts/liberation || die
- local x
- for x in * ; do
- [[ -f ${EPREFIX}usr/share/fonts/liberation-fonts/${x} ]] || continue
- ln -sf "../../../fonts/liberation-fonts/${x}" "${x}" || die
- done
-
- einfo "Converting python shebangs"
- python_fix_shebang "${ED}"
-
- einfo "Compiling python modules"
- python_optimize "${ED}"usr/lib/calibre
-
- newinitd "${FILESDIR}"/calibre-server-3.init calibre-server
- newconfd "${FILESDIR}"/calibre-server-3.conf calibre-server
-
- bashcomp_alias calibre \
- lrfviewer \
- calibre-debug \
- ebook-meta \
- calibre-server \
- ebook-viewer \
- ebook-polish \
- fetch-ebook-metadata \
- lrf2lrs \
- ebook-convert \
- ebook-edit \
- calibre-smtp \
- ebook-device
-
-}
-
-pkg_preinst() {
- gnome2_icon_savelist
- # Indentify stray directories from upstream's "Binary install"
- # method (see bug 622728).
- CALIBRE_LIB_DIR=/usr/$(get_libdir)/calibre
- CALIBRE_LIB_CONTENT=$(for x in "${ED%/}${CALIBRE_LIB_DIR}"/*; do
- printf -- "${x##*/} "; done) || die "Failed to list ${ED%/}${CALIBRE_LIB_DIR}"
-}
-
-pkg_postinst() {
- [[ -n ${CALIBRE_LIB_DIR} ]] || die "CALIBRE_LIB_DIR is unset"
- local x
- for x in "${EROOT%/}${CALIBRE_LIB_DIR}"/*; do
- if [[ " ${CALIBRE_LIB_CONTENT} " != *" ${x##*/} "* ]]; then
- elog "Purging '${x}'"
- rm -rf "${x}"
- fi
- done
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
- gnome2_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
- gnome2_icon_cache_update
-}
diff --git a/app-text/calibre/files/calibre-2.83.0-lzxd-bounds-error-bug-540596.patch b/app-text/calibre/files/calibre-2.83.0-lzxd-bounds-error-bug-540596.patch
deleted file mode 100644
index 5f7d5a4..0000000
--- a/app-text/calibre/files/calibre-2.83.0-lzxd-bounds-error-bug-540596.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From f335c8719b224d3ca7a967b6e91cebd5b26684fe Mon Sep 17 00:00:00 2001
-From: Zac Medico <zmedico@gentoo.org>
-Date: Sun, 23 Apr 2017 16:13:00 -0700
-Subject: [PATCH] Fix bounds error in lzxd_static_init
-
-https://bugs.gentoo.org/show_bug.cgi?id=540596
-https://github.com/kovidgoyal/calibre/pull/650
-
-This includes the changes from the following upstream commits:
-
-https://github.com/kyz/libmspack/commit/6a42ddd1d472afeaf0f7da91e16b60ab2063fb92
-https://github.com/kyz/libmspack/commit/ce3cc03aa500dd9c0b6b820f9519f6b6b9dede05
----
- src/calibre/utils/lzx/lzxd.c | 3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git a/src/calibre/utils/lzx/lzxd.c b/src/calibre/utils/lzx/lzxd.c
-index e683a9e..c531aaa 100644
---- a/src/calibre/utils/lzx/lzxd.c
-+++ b/src/calibre/utils/lzx/lzxd.c
-@@ -357,11 +357,12 @@ static unsigned char extra_bits[51];
- static void lzxd_static_init(void) {
- int i, j;
-
-- for (i = 0, j = 0; i < 51; i += 2) {
-+ for (i = 0, j = 0; i < 50; i += 2) {
- extra_bits[i] = j; /* 0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7... */
- extra_bits[i+1] = j;
- if ((i != 0) && (j < 17)) j++; /* 0,0,1,2,3,4...15,16,17,17,17,17... */
- }
-+ extra_bits[50] = 17;
-
- for (i = 0, j = 0; i < 51; i++) {
- position_base[i] = j; /* 0,1,2,3,4,6,8,12,16,24,32,... */
---
-2.10.2
-
diff --git a/app-text/calibre/files/calibre-2.9.0-no_updates_dialog.patch b/app-text/calibre/files/calibre-2.9.0-no_updates_dialog.patch
deleted file mode 100644
index 4d37c3b..0000000
--- a/app-text/calibre/files/calibre-2.9.0-no_updates_dialog.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-diff -burN calibre-2.9.0.orig/src/calibre/gui2/main.py calibre-2.9.0/src/calibre/gui2/main.py
---- calibre-2.9.0.orig/src/calibre/gui2/main.py 2014-11-09 20:09:54.081231882 +0800
-+++ calibre-2.9.0/src/calibre/gui2/main.py 2014-11-09 20:15:48.193033844 +0800
-@@ -37,8 +37,9 @@
- help=_('Start minimized to system tray.'))
- parser.add_option('-v', '--verbose', default=0, action='count',
- help=_('Ignored, do not use. Present only for legacy reasons'))
-- parser.add_option('--no-update-check', default=False, action='store_true',
-- help=_('Do not check for updates'))
-+ parser.add_option('--update-check', dest='no_update_check', default=True,
-+ action='store_false',
-+ help=_('Check for updates'))
- parser.add_option('--ignore-plugins', default=False, action='store_true',
- help=_('Ignore custom plugins, useful if you installed a plugin'
- ' that is preventing calibre from starting'))
-diff -burN calibre-2.9.0.orig/src/calibre/gui2/update.py calibre-2.9.0/src/calibre/gui2/update.py
---- calibre-2.9.0.orig/src/calibre/gui2/update.py 2014-11-09 20:09:54.082231864 +0800
-+++ calibre-2.9.0/src/calibre/gui2/update.py 2014-11-09 20:17:49.954767115 +0800
-@@ -154,6 +154,8 @@
- self.update_checker.signal.update_found.connect(self.update_found,
- type=Qt.QueuedConnection)
- self.update_checker.start()
-+ else:
-+ self.update_checker = None
-
- def recalc_update_label(self, number_of_plugin_updates):
- self.update_found(self.last_newest_calibre_version, number_of_plugin_updates)
diff --git a/app-text/calibre/files/calibre-disable_plugins.patch b/app-text/calibre/files/calibre-disable_plugins.patch
deleted file mode 100644
index 9ef1dd0..0000000
--- a/app-text/calibre/files/calibre-disable_plugins.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Description: Disable plugin dialog. It uses a totally non-authenticated and non-trusted way of installing arbitrary code.
-Author: Martin Pitt <mpitt@debian.org>
-Bug-Debian: http://bugs.debian.org/640026
-
-Index: calibre-0.8.29+dfsg/src/calibre/gui2/actions/preferences.py
-===================================================================
---- calibre-0.8.29+dfsg.orig/src/calibre/gui2/actions/preferences.py 2011-12-16 05:49:14.000000000 +0100
-+++ calibre-0.8.29+dfsg/src/calibre/gui2/actions/preferences.py 2011-12-20 19:29:04.798468930 +0100
-@@ -28,8 +28,6 @@
- pm.addAction(QIcon(I('config.png')), _('Preferences'), self.do_config)
- cm('welcome wizard', _('Run welcome wizard'),
- icon='wizard.png', triggered=self.gui.run_wizard)
-- cm('plugin updater', _('Get plugins to enhance calibre'),
-- icon='plugins/plugin_updater.png', triggered=self.get_plugins)
- if not DEBUG:
- pm.addSeparator()
- cm('restart', _('Restart in debug mode'), icon='debug.png',
diff --git a/app-text/calibre/files/calibre-server-3.conf b/app-text/calibre/files/calibre-server-3.conf
deleted file mode 100644
index bb456e8..0000000
--- a/app-text/calibre/files/calibre-server-3.conf
+++ /dev/null
@@ -1,13 +0,0 @@
-# /etc/conf.d/calibre-server
-# Change this to the user you want to run calibre-server as.
-# You may specify a group too, after a colon
-# NOTE: This must be set and not to root!
-CALIBRE_USER=
-
-# Set the path of the library to serve.
-# Defaults to the default location for CALIBRE_USER.
-#CALIBRE_LIBRARY='<user home directory>/Calibre Library'
-
-# Extra options to pass to calibre-server.
-# See the calibre-server man page for more options.
-#CALIBRE_SERVER_OPTS="--userdb /srv/calibre/users.sqlite --enable-auth --worker-count 10 --port 8080"
diff --git a/app-text/calibre/files/calibre-server-3.init b/app-text/calibre/files/calibre-server-3.init
deleted file mode 100644
index 049d3e4..0000000
--- a/app-text/calibre/files/calibre-server-3.init
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-
-depend() {
- need net
- need localmount
- after bootmisc
-}
-
-checkconfig() {
- if [ "${CALIBRE_USER}" = "" -o "${CALIBRE_USER}" = "root" ] ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "You have to specify a user to run calibre-server as, as we will not run it as root!"
- eerror "Modify CALIBRE_USER to your needs (you can also add a group, after a colon)"
- return 1
- fi
- if ! getent passwd "${CALIBRE_USER%:*}" >/dev/null ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "Your user has to exist!"
- return 1
- fi
- if [ "${CALIBRE_USER%:*}" != "${CALIBRE_USER}" ] ; then
- if ! getent group "${CALIBRE_USER#*:}" >/dev/null ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "Your group has to exist too!"
- return 1
- fi
- fi
- if [ "${CALIBRE_LIBRARY}" = "" ] ; then
- CALIBRE_USER_HOME=$(getent passwd "${CALIBRE_USER%:*}" | cut -d ':' -f 6)
- CALIBRE_LIBRARY="${CALIBRE_USER_HOME}/Calibre Library"
- fi
- if [ ! -d "${CALIBRE_LIBRARY}" ] ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "The Calibre library, '${CALIBRE_LIBRARY},' does not exist."
- eerror "Please modify CALIBRE_LIBRARY to point to a valid library."
- return 1
- fi
- return 0
-}
-
-start() {
- checkconfig || return $?
- local pidfile=/var/run/calibre-server.pid
- ebegin "Starting calibre-server"
- start-stop-daemon --user "${CALIBRE_USER}" \
- --pidfile "${pidfile}" --make-pidfile --background --exec /usr/bin/calibre-server \
- -- ${CALIBRE_OPTS} "${CALIBRE_LIBRARY}"
- eend $?
-}
-
-stop() {
- ebegin "Stopping calibre-server"
- start-stop-daemon --stop --user "${CALIBRE_USER}" \
- --pidfile /var/run/calibre-server.pid
- eend $?
-}
diff --git a/app-text/calibre/files/calibre-server.conf b/app-text/calibre/files/calibre-server.conf
deleted file mode 100644
index c1bed84..0000000
--- a/app-text/calibre/files/calibre-server.conf
+++ /dev/null
@@ -1,13 +0,0 @@
-# /etc/conf.d/calibre-server
-# Change this to the user you want to run calibre-server as.
-# You may specify a group too, after a colon
-# NOTE: This must be set and not to root!
-CALIBRE_USER=
-
-# Set the path of the library to serve.
-# Defaults to the default location for CALIBRE_USER.
-#CALIBRE_LIBRARY='<user home directory>/Calibre Library'
-
-# Extra options to pass to calibre-server.
-# See the calibre-server man page for more options.
-#CALIBRE_OPTS="--username calibre --password password --thread-pool 10 --port 8080"
diff --git a/app-text/calibre/files/calibre-server.init b/app-text/calibre/files/calibre-server.init
deleted file mode 100644
index 2f90542..0000000
--- a/app-text/calibre/files/calibre-server.init
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-
-depend() {
- need net
- need localmount
- after bootmisc
-}
-
-checkconfig() {
- if [ "${CALIBRE_USER}" = "" -o "${CALIBRE_USER}" = "root" ] ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "You have to specify a user to run calibre-server as, as we will not run it as root!"
- eerror "Modify CALIBRE_USER to your needs (you can also add a group, after a colon)"
- return 1
- fi
- if ! getent passwd "${CALIBRE_USER%:*}" >/dev/null ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "Your user has to exist!"
- return 1
- fi
- if [ "${CALIBRE_USER%:*}" != "${CALIBRE_USER}" ] ; then
- if ! getent group "${CALIBRE_USER#*:}" >/dev/null ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "Your group has to exist too!"
- return 1
- fi
- fi
- if [ "${CALIBRE_LIBRARY}" = "" ] ; then
- CALIBRE_USER_HOME=$(getent passwd "${CALIBRE_USER%:*}" | cut -d ':' -f 6)
- CALIBRE_LIBRARY="${CALIBRE_USER_HOME}/Calibre Library"
- fi
- if [ ! -d "${CALIBRE_LIBRARY}" ] ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "The Calibre library, '${CALIBRE_LIBRARY},' does not exist."
- eerror "Please modify CALIBRE_LIBRARY to point to a valid library."
- return 1
- fi
- return 0
-}
-
-start() {
- checkconfig || return $?
- local pidfile=/var/run/calibre-server.pid
- ebegin "Starting calibre-server"
- start-stop-daemon --user "${CALIBRE_USER}" \
- --pidfile "${pidfile}" --make-pidfile --background --exec /usr/bin/calibre-server \
- -- --with-library "${CALIBRE_LIBRARY}" ${CALIBRE_OPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping calibre-server"
- start-stop-daemon --stop --user "${CALIBRE_USER}" \
- --pidfile /var/run/calibre-server.pid
- eend $?
-}
diff --git a/app-text/calibre/metadata.xml b/app-text/calibre/metadata.xml
deleted file mode 100644
index 2196cbe..0000000
--- a/app-text/calibre/metadata.xml
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>axs@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>zmedico@gentoo.org</email>
- </maintainer>
- <upstream>
- <remote-id type="sourceforge">calibre</remote-id>
- </upstream>
-</pkgmetadata>